Skip to main content
POST
/
collections
/
data-sorted-by
Error
A valid request URL is required to generate request examples
{
  "offset": 123,
  "has_next": true,
  "collections": [
    {
      "collection_id": "<string>",
      "title": "<string>",
      "description": "<string>",
      "handle": "<string>",
      "image_urls": [
        "<string>"
      ],
      "has_depict_configuration": true,
      "sync_back_to_shopify": true,
      "unpin_oos": true,
      "shopify_updated_at": "2023-11-07T05:31:56Z",
      "use_collection_specific_boost_bury": true,
      "main_version": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "n_products": 123,
      "n_pinned_main_product_ids": 123,
      "selected_period_data": {
        "clicks": 123,
        "views": 123,
        "percentage_of_max_clicks": 123,
        "percentage_of_total_clicks": 123,
        "clickthrough_rate": 123
      },
      "updated_at": "2023-11-07T05:31:56Z",
      "product_images": [
        "<string>"
      ]
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

merchant_id
string
required

Body

application/json
from_date
string<date>
required
to_date
string<date>
required
offset
integer
default:0
page_size
integer
default:50
query
string | null
order_by
enum<string>
default:top_views
Available options:
top_views,
top_ctr,
top_clicks,
updated_at,
name_a_z,
number_of_products
reverse
boolean
default:false
filter_by
enum<string> | null
Available options:
live,
draft

Response

Successful Response

offset
integer
required
has_next
boolean
required
collections
LiteDashboardCollectionDto · object[]
required